features:
  primary:
    - name: "Grant users deployment permissions without code access"
      available_in: [premium, ultimate]
      gitlab_com: true
      documentation_link: 'https://docs.gitlab.com/ee/ci/environments/protected_environments.html#environment-access-by-group-membership'
      image_url: '/images/13_4/deployer-role.png'
      reporter: jreporter
      stage: release
      categories:
        - 'Release Orchestration'
      epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/4180'
      description: |
        If your team needs to maintain separation of duties between team members who own development, and team members who own deployments, the permissions paradigm in GitLab has made this challenging. In GitLab 13.4, you can give non-code contributors permission to approve merge requests for deployment, and actually deploy code, without also granting them maintainer access.
